# Description

## It shows information on things when you hover over them. What else is there to say? Feature list below

`This mod uses a file watcher. If the configuration file is not changed with BepInEx Configuration manager, but changed in the file directly on the server, upon file save, it will sync the changes to all clients.`

`This mod is not needed on a server. It's client only. Install on each client that you wish to have the mod load.`

### Features

`1 - General`

Disable All Visuals
* Custom shortcut to enable or disable the hover text visuals.
  * Default Value: H

`2 - Build Piece`

Show Health Bar
* Show health bar on building piece hover (with hammer)?
  * Default Value: On

Show Health Text
* Show health text on building piece hover (with hammer)?
  * Default Value: On

Show Integrity Text
* Show integrity text on building piece hover (with hammer)?
  * Default Value: On

Custom Health Colors
* Use custom health colors on building piece hover (with hammer)?
  * Default Value: Off

Custom Integrity Colors
* Use custom integrity colors on building piece hover (with hammer)?
  * Default Value: On

LowColor
* Color used for low health. When hovering a build piece with hammer
  * Default Value: FF0000FF

MidColor
* Color used for mid health. When hovering a build piece with hammer
  * Default Value: FFEB04FF

HighColor
* Color used for high health. When hovering a build piece with hammer
  * Default Value: 00FF00FF

Low Integrity Color
* Color used for low integrity. When hovering a build piece with hammer
  * Default Value: FF0000FF

Mid Integrity Color
* Color used for mid integrity. When hovering a build piece with hammer
  * Default Value: FFEB04FF

High Integrity Color
* Color used for high integrity. When hovering a build piece with hammer
  * Default Value: 00FF00FF

Health Text
* Health text. {0} is replaced by current health. {1} is replaced by max health. {2} is replaced by percentage health.
  * Default Value: {0}/{1} ({2}%)

Integrity Text
* Integrity text. {0} is replaced by current integrity. {1} is replaced by max integrity. {2} is replaced by percentage integrity.
  * Default Value: {0}/{1} ({2}%)

Health Text Size
* Health text size. When hovering a build piece with hammer
  * Default Value: 18

Integrity Text Size
* Integrity text size. When hovering a build piece with hammer
  * Default Value: 18

Health Text Position
* Health text position offset. When hovering a build piece with hammer
  * Default Value: {"x":0.0,"y":40.0}

Integrity Text Position
* Integrity text position offset. When hovering a build piece with hammer
  * Default Value: {"x":0.0,"y":-40.0}

`3 - Hover Texts`

Show Build Piece Status
* Display health and integrity based on your configurations when hovering a building piece with the hammer
  * Default Value: On

Show Fireplace Status
* Display time left when hovering a lit fireplace
  * Default Value: On

Show Cooking Station Status
* Display cooking time and burn time when hovering a cooking station that is currently cooking food.
  * Default Value: On

Show Mine Rock Status
* Display the health of mineable rocks when hovered
  * Default Value: On

Show Tree Status
* Display health and tool tier requirements when hovering trees and stumps
  * Default Value: Off

Show Pickable Status
* Display time left when hovering over pickable objects.
  * Default Value: On

Show Plant Status
* Display time left when hovering over a plant
  * Default Value: On

Show Sap Collector Status
* Display time left when hovering over a sap collector
  * Default Value: On

Show Beehive Status
* Display time left when hovering over an active beehive.
  * Default Value: On

Show Fermenter Status
* Display time left in fermentation process when hovering a fermenter
  * Default Value: On

`4 - Show Chest Contents`

Show Chest Contents
* If on, the below settings for chest content showing will take effect. If off, the patch is skipped and nothing will display. None of the below settings will take effect.
  * Default Value: On

MaxEntries
* Max number of entries to show (-1 means show all)
  * Default Value: -1

SortType
* Type by which to sort entries.
  * Default Value: Amount

SortAsc
* Sort ascending?
  * Default Value: Off

EntryText
* Entry text. {0} is replaced by the total amount, {1} is replaced by the item name.
  * Default Value: <color=#FFFFAAFF>{0}</color> <color=#AAFFAAFF>{1}</color>

OverFlowText
* Overflow text if more items than max entries.
  * Default Value: <color=#AAAAAAFF>...</color>

CapacityText
* Text to show capacity. {0} is replaced by number of full slots, {1} is replaced by total slots.
  * Default Value: <color=#FFFFAAFF> {0}/{1}</color>

---

> ## Installation Instructions
***You must have BepInEx installed correctly! I can not stress this enough.***

#### Windows (Steam)

1. Locate your game folder manually or start Steam client and :

* Right click the Valheim game in your steam library
* "Go to Manage" -> "Browse local files"
* Steam should open your game folder

2. Extract the contents of the archive into the BepInEx\plugins folder.
3. Locate Azumatt.AzuHoverStats.cfg under BepInEx\config and configure the mod to your needs

#### Server

`This mod is not needed on a server. It's client only. Install on each client that you wish to have the mod load.`

`Feel free to reach out to me on discord if you need manual download assistance.`

# Author Information

### Azumatt

`DISCORD:` Azumatt#2625

`STEAM:` https://steamcommunity.com/id/azumatt/

For Questions or Comments, find me in the Odin Plus Team Discord or in mine:

[![https://i.imgur.com/XXP6HCU.png](https://i.imgur.com/XXP6HCU.png)](https://discord.gg/Pb6bVMnFb2)
<a href="https://discord.gg/pdHgy6Bsng"><img src="https://i.imgur.com/Xlcbmm9.png" href="https://discord.gg/pdHgy6Bsng" width="175" height="175"></a>
***

> # Update Information (Latest listed first)
> ### v1.0.3
> - Forgot to localize some text I added last minute. Fuck up fixed.
> ### v1.0.2
> - Fix Beehive hover text
> - Add Sap Collector hover text
> - Filter out saplings and bushes from showing health if you have Tree Status off.
>   - Saplings are counted as plants in vanilla game, so they were showing health if you turned off Tree Status as they were controlled by the plant setting.
>   - Some trees & bushes are counted as destructible objects in vanilla, so they were showing health if you turned off Tree Status as they were controlled by the Show Mine Rock Status setting.
> - Add container hover stats from OdinsQOL. I said I'd add it if someone asked me to. Well, someone did. So here it is. Some people don't like ContentsWithin's way of displaying the information. You can turn off this mod's control of the hover text should you wish to use ContentsWithin's version.
> - WardIsLove compatibility addition, started.
> ### v1.0.1
> - Patch into UpdateHover. Vanilla game nulls the hover object if you're in placement mode. This caused the health
    text/integrity text to not live update. This is now fixed.
> ### v1.0.0
> - Initial Release